﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectShoeShop.Entities.Enums;

namespace ProjectShoeShop.Entities;

public class Shoes
{
    public int Id { get; private set; }

    public string Name { get; private set; } = string.Empty;

    public int Price { get; private set; }

    public ShoesType ShoesType { get; private set;}

    public static Shoes CreateEntity(int id, string name, int price, ShoesType shoestype)
    {
        return new Shoes
        {
            Id = id,
            Name = name,
            Price = price,
            ShoesType = shoestype
        };
    }
}
